> For the complete documentation index, see [llms.txt](https://docs.drivequant.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.drivequant.com/backend/stolen-vehicle/delete-a-theft-report.md).

# Delete a theft report

This service can be used to delete an active theft report.

If you need to report that the associated vehicle was recovered, you can close the report using [the dedicated service](/backend/stolen-vehicle/close-an-active-theft-report.md). This will ensure that you get accurate statistics about the Stolen Vehicle Service.

{% hint style="info" %}
If you have your **admin API key**, you can try the API via this [**link**](https://drivequant.stoplight.io/docs/drivequant-public/a83e5f730d3a6-delete-a-theft-report).
{% endhint %}

## DELETE /drivekit/admin/beacon/reports/{reportId}

> Delete an active theft report

```json
{"openapi":"3.0.3","info":{"title":"DKAdminStolenVehicleServiceV3","version":"1.0"},"servers":[{"url":"https://service.drivequant.com/v3","description":"Prod"}],"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"name":"DriveKit-Admin-API-Key","type":"apiKey","in":"header"}},"schemas":{"StolenVehicleReportResponse":{"title":"StolenVehicleReportResponse","type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the stolen vehicle report"},"requestDate":{"type":"string","format":"date-time","description":"The date and time when the report was created, in ISO 8601 format"},"theftReportDate":{"type":"string","format":"date-time","description":"The date and time when the vehicle was reported as stolen, in ISO 8601 format"},"theftReportClosingDate":{"type":"string","format":"date-time","description":"The date and time when the theft report was closed, in ISO 8601 format"},"theftReportClosingReason":{"type":"string","nullable":true,"description":"The reason for closing the theft report","enum":["VEHICLE_RECOVERED","VEHICLE_DESTROYED","OTHER"]},"theftReportClosingComment":{"type":"string","nullable":true,"description":"Additional comments regarding the closure of the theft report"},"status":{"type":"string","description":"The status of the theft report","enum":["ACTIVE","EXPIRED","CANCELED","CLOSED"]},"beacon":{"type":"object","properties":{"uuid":{"type":"string","format":"uuid","description":"The unique identifier of the beacon"},"major":{"type":"integer","minimum":0,"maximum":65535,"description":"The major value of the iBeacon"},"minor":{"type":"integer","minimum":0,"maximum":65535,"description":"The minor value of the iBeacon"}}}}},"ErrorResponse":{"title":"ErrorResponse","type":"object","properties":{"message":{"type":"string"},"code":{"type":"integer"},"messageKey":{"type":"string"}}}}},"paths":{"/drivekit/admin/beacon/reports/{reportId}":{"delete":{"summary":"Delete an active theft report","tags":[],"operationId":"delete-drivekit-admin-beacon-report","parameters":[{"schema":{"type":"string"},"in":"header","name":"DriveKit-Admin-API-Key","description":"Drivekit Admin API key","required":true},{"schema":{"type":"string"},"in":"path","name":"reportId","description":"The unique identifier of the theft report to be deleted","required":true}],"responses":{"200":{"description":"Successful response with the details of the deleted theft report","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StolenVehicleReportResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Unprocessable Entity (e.g., the report is not active)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Response body

The table below summarizes the content of the response body.

<table><thead><tr><th width="209.8984375">Field</th><th width="99.515625">Format</th><th>Descriptio</th></tr></thead><tbody><tr><td>id</td><td><code>string</code></td><td>Unique identifier of the theft report</td></tr><tr><td>beacon</td><td><code>object</code></td><td><p>Beacon information.</p><p><em>See</em> <a href="#beacon"><em>Beacon</em></a></p></td></tr><tr><td>requestDate</td><td><code>string</code></td><td>Date at which the theft was reported on DriveQuant platform.<br><em>Date format: <code>YYYY-MM-dd’T’HH:mm:ss.SSSZ</code></em></td></tr><tr><td>theftReportDate</td><td><code>string</code></td><td><p>Date at which the theft was reported to the authorities.</p><p><em>Date format: <code>YYYY-MM-dd’T’HH:mm:ss.SSSZ</code></em></p></td></tr><tr><td>theftReportClosingDate</td><td><code>string</code></td><td><p>Date at which the theft report expires.</p><p><em>Date format: <code>YYYY-MM-dd’T’HH:mm:ss.SSSZ</code></em></p></td></tr><tr><td>status</td><td><code>string</code></td><td>Status of the report.<br><em>Allowed values: <code>CANCELED</code></em></td></tr></tbody></table>

### Beacon

The table below summarizes the content of the `Beacon` object.

<table><thead><tr><th width="150.00390625">Field</th><th width="149.6484375">Format</th><th>Descriptio</th></tr></thead><tbody><tr><td>uuid</td><td><code>string</code></td><td>iBeacon UUID</td></tr><tr><td>major</td><td><code>integer</code></td><td>iBeacon major identifier</td></tr><tr><td>minor</td><td><code>integer</code></td><td>iBeacon minor identifier</td></tr></tbody></table>
